### Клонирование проекта ###

```commandline
git clone https://git.itguild.info/ItGuild/simple_admin_bot.git
cd simple_admin_bot
```

Клонируем проект переходим в нужную директорию.

<hr>

### Создание виртуального окружения (venv) ###

```commandline
python3 -m venv myenv
```

```myenv``` - это имя вашего виртуального окружения, можно выбрать любое.

<hr>

### Активация виртуального окружения ###

#### Windows (CMD): ####

```commandline
myenv\Scripts\activate
```

#### Windows (PowerShell): ####

```commandline
.\myenv\Scripts\Activate.ps1
```

#### Linux/macOS: ####

```commandline
source myenv/bin/activate
```

<hr>

### Установка зависимостей ###

```commandline
python3 -m pip install -r requirements.txt
```

<hr>

После того как вы установите зависимости необходимо будет настроить конфигурационные файлы.
Для этого вам нужно переименовать файл ```.env.example``` в ```.env```. 
Так же нужно изменить значение переменных в файле ```.env``` на свои.
```dotenv
ADMIN_ID=XXXXXX
BOT_TOKEN=XXX:YYY
BOT_LINK="https://t.me/xxx"
```
Где:

```ADMIN_ID``` - идентификатор администратора, нужен для использования специальных 
команд получения результатов и обновления вопросов.

```BOT_TOKEN``` - токен вашего телеграм бота, получить можно при создании.

```BOT_LINK``` - ссылка на бот, получить можно при создании.

Далее необходимо создать файл с вопросами ```questions.txt```.
В нем указать вопросы (каждый вопрос с новой строки), которые бот будет задавать новым пользователям чата.

Теперь нам осталось только запустить бот:
```
python3 bot.py
```